#
# spec file for package rubygem-puppet-lint
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-puppet-lint
Version:        2.0.0
Release:        2.3
%define mod_name puppet-lint
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            https://github.com/rodjek/puppet-lint/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Ensure your Puppet manifests conform with the Puppetlabs style guide
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Checks your Puppet manifests against the Puppetlabs
style guide and alerts you to any discrepancies.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Sat Jul 30 2016 tampakrap@opensuse.org
- Version bump 2.0.0
  see https://github.com/rodjek/puppet-lint/blob/master/CHANGELOG.md#200-2016-06-22
* Wed Nov 26 2014 tampakrap@opensuse.org
- Convert to the new ruby packaging schema
- Version bump 1.1.0
  * New features
  * puppet-lint configuration can now be set in the Rake task definition, so
    you no longer have to remember arcane PuppetLint.configuration options.
  * Multiple checks can now be disabled in a single control comment.
  * The performance of the parser has been significantly improved, most
    noticably when checking large manifest files.
  * Bug fixes
  * unquoted_node_name check now supports multiple node names in a comma
    separated list in a single node block.
  * arrow_alignment check now will now put parameters on their own line if
    it encounters a multiline resource with multiple parameters on a line.
  * variable_scope check no longer throws false positive results when using
    the automatically created variables from metaparameters.
  * arrow_alignment check no longer destroys the parameter name when it
    encounters a parameter followed by an arrow with no whitespace between them.
  * puppet-lint no longer parses the body of the class when searching for
    the parameter tokens of an unparameterised class.
* Thu Aug 21 2014 darin@darins.net
- initial packaging
